Subject: Re: [RFC] How to accellerate the patch flow (or should we?)

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 30 Sep 2025 01:25:03 +0200

On Mon, Sep 29, 2025 at 03:46:47PM -0700, Junio C Hamano wrote:
> Patrick Steinhardt <[email-masked]> writes:
> 
> > Despite the potential awkwardness I have to wonder whether this would
> > even help us with the goal to speed up the overall process. To me it
> > rather feels like there's another step now that a patch series has to go
> > through, so my naive expectation is that it will rather slow the process
> > down even more.
> >
> > Am I missing something?
> 
> The above is an effort to reduce the chance/risk that the maintainer
> is *not* made aware of the fact that a topic has already been well
> reviewed, or the latest reroll has addressed all the issues
> previously have pointed out and the reviewers are happy with its
> shape, and ready to be merged to 'next', just left in 'seen' labeled
> with "Will merge to 'next'?", etc.

Ah, okay, that makes more sense then. So basically, reviewers should
more explicitly state their overall opinion on a patch series so that it
becomes easier for you to figure out the current state at a glance?

Patrick